complexType "BondOption"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 18 elements
Defined: | globally in fpml-bond-option-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, buyerPartyReference?, sellerPartyReference?, optionType, premium?, exercise, (notionalReference | notionalAmount)?, (optionEntitlement?, entitlementCurrency?, numberOfOptions?)?, strike, (bond | convertibleBond)
</...>

Content Model Elements (18):

  bond,
  buyerPartyReference,
  convertibleBond,
  embeddedOptionType,
  entitlementCurrency,
  exercise,
  notionalAmount (defined in OptionBaseExtended complexType),
  notionalReference (defined in OptionBaseExtended complexType),
  numberOfOptions (defined in OptionDenomination.model group),
  optionEntitlement (defined in OptionDenomination.model group),
  optionType (defined in OptionBase complexType),
  premium (defined in OptionBaseExtended complexType),
  primaryAssetClass (defined in Product.model group),
  productId,
  productType (defined in Product.model group),
  secondaryAssetClass,
  sellerPartyReference,
  strike (in bondOption)

All Direct / Indirect Based Elements (1):

  bondOption

Known Usage Locations

- As direct type of elements (1):
  bondOption

Annotation
A Bond Option
Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) OptionBase (extension) OptionBaseExtended (extension) BondOption

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="BondOption"> <xsd:complexContent> <xsd:extension base="OptionBaseExtended"> <xsd:sequence> <xsd:element name="strike" type="BondOptionStrike"/> <xsd:group ref="BondChoice.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/18)
strike

  Type: | BondOptionStrike, complex content

  Strike of the the Bond Option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="strike" type="BondOptionStrike"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.